org.apache.olingo.odata2.api.commons

## Interface HttpContentType

-     public interface HttpContentType

  Constants for `Http Content Type` definitions as specified in RFC 2616 Section 14.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `APPLICATION_ATOM_SVC`
    `static String` | `APPLICATION_ATOM_SVC_UTF8`
    `static String` | `APPLICATION_ATOM_XML`
    `static String` | `APPLICATION_ATOM_XML_ENTRY`
    `static String` | `APPLICATION_ATOM_XML_ENTRY_UTF8`
    `static String` | `APPLICATION_ATOM_XML_FEED`
    `static String` | `APPLICATION_ATOM_XML_FEED_UTF8`
    `static String` | `APPLICATION_ATOM_XML_UTF8`
    `static String` | `APPLICATION_HTTP`
    `static String` | `APPLICATION_JSON`
    `static String` | `APPLICATION_JSON_UTF8`
    `static String` | `APPLICATION_JSON_UTF8_VERBOSE`
    `static String` | `APPLICATION_JSON_VERBOSE`
    `static String` | `APPLICATION_OCTET_STREAM`
    `static String` | `APPLICATION_XML`
    `static String` | `APPLICATION_XML_UTF8`
    `static String` | `MULTIPART_MIXED`
    `static String` | `TEXT_HTML`
    `static String` | `TEXT_PLAIN`
    `static String` | `TEXT_PLAIN_UTF8`
    `static String` | `WILDCARD`

- - ### Field Detail

    - #### APPLICATION_XML

          static final String APPLICATION_XML

      See Also:
        Constant Field Values

    - #### APPLICATION_XML_UTF8

          static final String APPLICATION_XML_UTF8

      See Also:
        Constant Field Values

    - #### APPLICATION_ATOM_XML

          static final String APPLICATION_ATOM_XML

      See Also:
        Constant Field Values

    - #### APPLICATION_ATOM_XML_UTF8

          static final String APPLICATION_ATOM_XML_UTF8

      See Also:
        Constant Field Values

    - #### APPLICATION_ATOM_XML_ENTRY

          static final String APPLICATION_ATOM_XML_ENTRY

      See Also:
        Constant Field Values

    - #### APPLICATION_ATOM_XML_ENTRY_UTF8

          static final String APPLICATION_ATOM_XML_ENTRY_UTF8

      See Also:
        Constant Field Values

    - #### APPLICATION_ATOM_XML_FEED

          static final String APPLICATION_ATOM_XML_FEED

      See Also:
        Constant Field Values

    - #### APPLICATION_ATOM_XML_FEED_UTF8

          static final String APPLICATION_ATOM_XML_FEED_UTF8

      See Also:
        Constant Field Values

    - #### APPLICATION_ATOM_SVC

          static final String APPLICATION_ATOM_SVC

      See Also:
        Constant Field Values

    - #### APPLICATION_ATOM_SVC_UTF8

          static final String APPLICATION_ATOM_SVC_UTF8

      See Also:
        Constant Field Values

    - #### APPLICATION_JSON

          static final String APPLICATION_JSON

      See Also:
        Constant Field Values

    - #### APPLICATION_JSON_VERBOSE

          static final String APPLICATION_JSON_VERBOSE

      See Also:
        Constant Field Values

    - #### APPLICATION_JSON_UTF8

          static final String APPLICATION_JSON_UTF8

      See Also:
        Constant Field Values

    - #### APPLICATION_JSON_UTF8_VERBOSE

          static final String APPLICATION_JSON_UTF8_VERBOSE

      See Also:
        Constant Field Values

    - #### TEXT_PLAIN

          static final String TEXT_PLAIN

      See Also:
        Constant Field Values

    - #### TEXT_PLAIN_UTF8

          static final String TEXT_PLAIN_UTF8

      See Also:
        Constant Field Values

    - #### TEXT_HTML

          static final String TEXT_HTML

      See Also:
        Constant Field Values

    - #### APPLICATION_OCTET_STREAM

          static final String APPLICATION_OCTET_STREAM

      See Also:
        Constant Field Values

    - #### APPLICATION_HTTP

          static final String APPLICATION_HTTP

      See Also:
        Constant Field Values

    - #### MULTIPART_MIXED

          static final String MULTIPART_MIXED

      See Also:
        Constant Field Values

    - #### WILDCARD

          static final String WILDCARD

      See Also:
        Constant Field Values

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.